/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.hotmail.frojasg1.applications.common.components.internationalization;


import com.frojasg1.applications.common.configuration.ConfigurationFromClassPath;
import com.frojasg1.applications.common.configuration.LanguageConfiguration;
import java.util.Properties;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Usuario
 */
public class FormLanguageConfiguration extends ConfigurationFromClassPath
										implements LanguageConfiguration
{
	FormLanguageConfiguration(	String mainFolder,
								String applicationName, String group,
								String configurationFileName,
								String pathPropertiesInJar,
								Properties textValuesFromFrom_properties )
	{
		super( mainFolder, applicationName, group, configurationFileName, pathPropertiesInJar, textValuesFromFrom_properties );
	}

	@Override
	public void registerInternationalString(String label, String value)
	{
		registerConfigurationLabel( label, value );
	}

	@Override
	public String getInternationalString(String label)
	{
		return( M_getStrParamConfiguration( label ) );
	}
}
